package com.persagy.dmp.rwd.basic.utils;

/**
 * 表号功能号校验工具类
 * @author:linhuili
 * @date:2021/8/12
 */
public class MeterUtils {

	/**
	 * 表号功能号格式匹配
	 * @param infoCodeValue
	 * @return
	 */
	public static boolean matchFormat(String infoCodeValue){
		// 判断信息点的值是不是表号-功能号格式
		// 包含中划线且中划线不在开头结尾
		int idx = infoCodeValue.indexOf("-");
		if (idx < 1 || idx == infoCodeValue.length() - 1) {
			return false;
		}
		return true;
	}
}
